/* Peacock.h declares class Peacock,
 *  a subclass of WalkingBird.
 * ...
 */
 
#ifndef PEACOCK
#define PEACOCK

#include "WalkingBird.h"

class Peacock : public WalkingBird
{
 public:
   Peacock();
   
   virtual string getCall() const;
};

inline Peacock::Peacock() : WalkingBird("peacock") {}

inline string Peacock::getCall() const { return "ree-ree-ree"; }

#endif
